package com.dynamixsoftware.intentapi;

import android.graphics.Rect;

/**
 * This class is used to get printers capabilities.
 */
interface IPrinterContext {
	
	/** 
	 * @return printers image area in pt. pt = 1/72 inch
	 */
	Rect getImageArea();
	
	/**
	 * @return papers width in pt. pt = 1/72 inch
	 */
	int getPaperWidth();
	
	/**
	 * @return papers height in pt. pt = 1/72 inch
	 */
	int getPaperHeight();
	
	/**
	 * @return horizontal resolution in dpi.
	 */
	int getHResolution();
	
	/**
	 * @return vertical resolution in dpi.
	 */
	int getVResolution();

}
